It seems that you're using an outdated browser. Some things may not work as they should (or don't work at all).
We suggest you upgrade newer and better browser like:Chrome,Firefox,Internet Explorer orOpera

×
avatar
morciu: installed it but it doesn't work for me :(
You're not missing much. It really is just a tech demo - and I'm not quite sure why do they need a tech demo for something that just looks like DD engine. But I might be wrong.
avatar
JMich: October 15 2012 - Divine Divinity - The Lady, The Mage, and The Knight tech demo (NEW) October 15 2012 - Beyond Divinity - The Lady, The Mage, and The Knight tech demo (NEW) October 15 2012 - Divinity 2 Developer's Cut - The Lady, The Mage, and The Knight tech demo (NEW)
Are the DD & BD downloads otherwise still the same? Ie. this update was not the release of the updated hires versions of those games, which will be included in the Anthology?

I promised myself last Friday to make a backup of the old versions just in case, now I don't remember if I did that after all...
avatar
timppu: Are the DD & BD downloads otherwise still the same? Ie. this update was not the release of the updated hires versions of those games, which will be included in the Anthology? I promised myself last Friday to make a backup of the old versions just in case, now I don't remember if I did that after all...
No, both builds have been updated to the latest versions already.
Post edited October 15, 2012 by Thiev
avatar
timppu: Are the DD & BD downloads otherwise still the same? Ie. this update was not the release of the updated hires versions of those games, which will be included in the Anthology? I promised myself last Friday to make a backup of the old versions just in case, now I don't remember if I did that after all...
avatar
Thiev: No, both builds have been updated to the latest versions already.
I'm wondering about something in my Divine Divinity too as I noticed the following in my Divine Divinity downloads:

"Game Installer 1.0.2"
"Universal update 1.0.0->1.0.2"

I don't remember seeing that game installer version or the universal update. If the game installer is 1.0.2 then do I need to use the universal update 1.0.0->1.0.2? I'm confused.
avatar
haydenaurion: If the game installer is 1.0.2 then do I need to use the universal update 1.0.0->1.0.2? I'm confused.
Update is for people who downloaded the game at some point and now don't want to redownload the whole installer once again.
avatar
haydenaurion: If the game installer is 1.0.2 then do I need to use the universal update 1.0.0->1.0.2? I'm confused.
avatar
Thiev: Update is for people who downloaded the game at some point and now don't want to redownload the whole installer once again.
Ah, I thought so, just wanted to make sure. Thanks!
avatar
timppu: Are the DD & BD downloads otherwise still the same? Ie. this update was not the release of the updated hires versions of those games, which will be included in the Anthology? I promised myself last Friday to make a backup of the old versions just in case, now I don't remember if I did that after all...
avatar
Thiev: No, both builds have been updated to the latest versions already.
Just so that I don't misunderstand yet again: are these current versions now the "hires" versions that are/will be in the Divinity Anthology?

http://www.gog.com/en/forum/general/gog_pay_what_you_want_divinity_anthology/post313
avatar
timppu: [...]
Yep.
avatar
timppu: [...]
avatar
Thiev: Yep.
Thanks!
avatar
morciu: installed it but it doesn't work for me :(
avatar
Fenixp: You're not missing much. It really is just a tech demo - and I'm not quite sure why do they need a tech demo for something that just looks like DD engine. But I might be wrong.
I'm really happy that they released the tech demo of LMK as I did follow the game back in the day (around 1997 I think) in magazines, but as far as I know no (tech) demo ever got released. Until it showed up in the Divinity Anthology page I never knew that this were the same developers.
October 15 - The Witcher - The Witcher calendar (NEW)

Didn't we already have this?
avatar
JMich: October 15 - The Witcher - The Witcher calendar (NEW) Didn't we already have this?
That's probably for year 2013, not last year? :P
avatar
JMich: October 15 - The Witcher - The Witcher calendar (NEW) Didn't we already have this?
The calender that we had went from May 2011 to April 2012.

The updated version goes from May 2012 to April 2013.

The images have not changed.
avatar
JMich: October 15 - The Witcher - The Witcher calendar (NEW) Didn't we already have this?
We did and then we didn't. Like the hi-res artbook, it got lost for a while. Can't say I've missed it, though.

EDIT: Oh, so they've updated the dates as well. I'm sure someone will find that useful.
Post edited October 15, 2012 by bazilisek
avatar
haydenaurion: If the game installer is 1.0.2 then do I need to use the universal update 1.0.0->1.0.2? I'm confused.
avatar
Thiev: Update is for people who downloaded the game at some point and now don't want to redownload the whole installer once again.
My installer version is apparently 1.0.1.12, (instead of 1.0.0.something) and thus the update fails. Several other folks on the DD forum have had the same issue. When running the program, I just get an "incompatible version" error and nothing happens.